CVE-1999-0878
CVSS10.0
发布时间 :1999-08-22 00:00:00
修订时间 :2008-09-09 08:36:06
NMCO    

[原文]Buffer overflow in WU-FTPD and related FTP servers allows remote attackers to gain root privileges via MAPPING_CHDIR.


[CNNVD]Multiple Vendor Wu-Ftpd缓冲区溢出漏洞(CNNVD-199908-046)

        WU-FTPD和相关FTP服务器存在缓冲区溢出漏洞,远程攻击者可以通过MAPPING_CHDIR获得根权限。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:washington_university:wu-ftpd:2.4.2_vr16
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr15
cpe:/a:washington_university:wu-ftpd:2.4.2_vr17
cpe:/a:beroftpd:beroftpd:1.3.4
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr12
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr14
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr9
cpe:/a:beroftpd:beroftpd:1.3.2
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr10
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr13
cpe:/a:beroftpd:beroftpd:1.3.3
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr4
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr5
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr8
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr11
cpe:/a:washington_university:wu-ftpd:2.4.2_beta18_vr6
cpe:/a:washington_university:wu-ftpd:2.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0878
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-0878
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199908-046
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/599
(UNKNOWN)  BID  599

- 漏洞信息

Multiple Vendor Wu-Ftpd缓冲区溢出漏洞
危急 缓冲区溢出
1999-08-22 00:00:00 2006-09-20 00:00:00
远程※本地  
        WU-FTPD和相关FTP服务器存在缓冲区溢出漏洞,远程攻击者可以通过MAPPING_CHDIR获得根权限。

- 公告与补丁

        The WU-FTPD Development Group has made the following patch available for WU-FTPD 2.5.0:
        ftp://ftp.wu-ftpd.org/pub/wu-ftpd/quickfixes/apply_to_2.5.0/mapped.path.overrun.patch
        Users of BeroFTPD 1.3.4 can apply the same patch.

- 漏洞信息

1055
WU-FTPD MAPPING_CHDIR Feature Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Buffer overflow in WU-FTPD and related FTP servers allows remote attackers to gain root privileges via MAPPING_CHDIR.

- 时间线

1999-08-26 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站